Subject: Re: bug#21454: 25.1.50; `parse-colon-path' fails with file names containing multiple consecutive "/"

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 12 Aug 2020 14:54:09 +0200

Andreas Schwab <[email-masked]> writes:

> On Jun 25 2019, Lars Ingebrigtsen <[email-masked]> wrote:
>
>> Tino Calancha <[email-masked]> writes:
>>
>>> Do not truncate /foo//bar to /bar/
>>> * lisp/files.el (parse-colon-path): Use substitute-env-vars and
>>> expand-file-name instead of substitute-in-file-name (Bug#21454).
>>
>> The bug report was slightly unclear, but I think the taste case was
>>
>> (parse-colon-path "/foo//bar/baz")
>> => ("/bar/baz/")
>>
>> and that being a mistake?  But I'm not sure it is -- In Emacs, if you do
>> that in, say, find-file, you'll end up in /bar/baz, and that's by
>> design.
>
> For file names coming from outside the double slash should not be
> special.  For example, `emacs foo//bar' visits the file `foo/bar', not
> `/bar'.

Makes sense.  I've now applied this patch to Emacs 28 (and adjusted the
test that expected :failure).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no